Debian Bug report logs - #701769
new location for wheezy-backports

Package: release-notes; Maintainer for release-notes is Debian Documentation Team <debian-doc@lists.debian.org>;

Reported by: Ansgar Burchardt <ansgar@debian.org>

Date: Tue, 26 Feb 2013 21:09:05 UTC

Severity: normal

Tags: patch, wheezy

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Tue, 26 Feb 2013 21:09:07 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: new location for wheezy-backports
Date: Tue, 26 Feb 2013 22:07:27 +0100
Package: release-notes
Severity: normal

Hi,

the wheezy-backports is no longer located in backports.debian.org. It is
now included on ftp.*.debian.org (it's already there[1]).

  [1] <http://ftp.de.debian.org/debian/dists/>

I think it would be good to mention this in the release notes. Maybe
section 4.2.5 ("Unofficial sources and backports") would be a good
place? It suggests to look if additional archives such as backports also
provide packages for wheezy and update the sources.list entry
accordingly.

Ansgar



Bug 701769 cloned as bug 701906 Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Thu, 28 Feb 2013 17:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 01 Mar 2013 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 01 Mar 2013 16:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 701769@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Osamu Aoki <osamu@debian.org>, Ansgar Burchardt <ansgar@debian.org>
Cc: 701906@bugs.debian.org, 701769@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Fri, 01 Mar 2013 12:36:33 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 01/03/2013 12:27, Osamu Aoki a écrit :
> On Thu, Feb 28, 2013 at 01:00:19PM -0400, David Prévot wrote:
> clone 701769 -1
> reassign -1 debian-reference
> 
> Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
>>>> Package: release-notes
>>>> Severity: normal
>>>>
>>>> Hi,
>>>>
>>>> the wheezy-backports is no longer located in backports.debian.org. It is
>>>> now included on ftp.*.debian.org (it's already there[1]).
>>>>
>>>>   [1] <http://ftp.de.debian.org/debian/dists/>
> 
>> Is this temporary workaround?  Or permanent change.

Sounds like permanent to me, asking Ansgar for confirmation.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRMNkRAAoJELgqIXr9/gnyRHwQALdlFLrdkWf/PaoAp1OQzAbx
bl4ZtHUG5816QtH5WcVGOm1jlPgUZiPGRHwN2du3nD7WoPGBhET9XyaZvDsQIb4z
rMxLDXHUYLEMjKm1QIkMruS0fE/Xd3YVA+sRQoOcVHcrCuCwe15MnUXG1dT+WAcB
pPoSymMZE057sfrWfBdvVl7zmxUey+9+guOfMmgAZmteXmLAav/K4CmuGAK8KEOj
6w4L/SP7rVNBlNx4FpLT/3VGSJg3sF6dlVZp56Rpnqp/rAkCihCzjwwi4lJUnu/R
ViNiImXGwnOFtCTJcWGkd2Z7vGHBFcwdby4/jKvQl8eZwbLPsiTl38jtBhOrUVx3
WRt/cO0Zpba5QHwkw3lCH6pTuTx6xgoErkAIHT/9yD7/eSBYlevMdDJGxeJzwonD
LT8BRlacVCbMJu3wZwTzn+fchStJJaUR9km3UltI17G1Dth+tAX8a02D+kjbW8zU
JrGmuGxr10Z5izp9UoupLN7O2GnBklkoUU8WPqC/ADQzHNhieuJBAL9Adbv7/F43
4VeBZYZHdrUzSleQqJ5TCl9nB+l2iByybVdK5DSW0xslfR3kpkchOZjEZNvZlDR3
WHNaW21A59U07zQB4ranDVHVBEZfa44R7p3rQQYwiBWk5d23UTulsZ6Xvc60q/dE
wia2RjpbHjhonNm7QfbX
=uhGU
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 01 Mar 2013 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 01 Mar 2013 17:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 701769@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: David Prévot <david@tilapin.org>
Cc: Osamu Aoki <osamu@debian.org>, 701906@bugs.debian.org, 701769@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Fri, 01 Mar 2013 17:57:25 +0100
On 03/01/2013 17:36, David Prévot wrote:
> Le 01/03/2013 12:27, Osamu Aoki a écrit :
>> On Thu, Feb 28, 2013 at 01:00:19PM -0400, David Prévot wrote:
>> Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
>>>>> the wheezy-backports is no longer located in backports.debian.org. It is
>>>>> now included on ftp.*.debian.org (it's already there[1]).
>>>>>
>>>>>   [1] <http://ftp.de.debian.org/debian/dists/>
> 
>>> Is this temporary workaround?  Or permanent change.
> 
> Sounds like permanent to me, asking Ansgar for confirmation.

That's permanent. The backports.d.o archive will disappear once
squeeze-backports gets archived.

Note that *-backports will still be managed by the backports team. Just
the location changes starting with wheezy-backports.

Ansgar



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 01 Mar 2013 17:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 01 Mar 2013 17:51:07 GMT) Full text and rfc822 format available.

Message #20 received at 701769@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>, 701906@bugs.debian.org
Cc: David Prévot <david@tilapin.org>, 701769@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Bug#701906: Bug#701769: new location for wheezy-backports
Date: Sat, 2 Mar 2013 02:45:34 +0900
Hi,

Thanks for quick reply.

On Fri, Mar 01, 2013 at 05:57:25PM +0100, Ansgar Burchardt wrote:
> >>>>> the wheezy-backports is no longer located in backports.debian.org. It is
> >>>>> now included on ftp.*.debian.org (it's already there[1]).

So I should use ftp.*.debian.org instead of ftp.de.debian.org ...
I can see on ftp.jp.debian.org ...

> >>>>>   [1] <http://ftp.de.debian.org/debian/dists/> and other mirror

Osamu



Added tag(s) wheezy. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 02 Mar 2013 13:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Sat, 02 Mar 2013 13:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sat, 02 Mar 2013 13:51:08 GMT) Full text and rfc822 format available.

Message #27 received at 701769@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>, 701906@bugs.debian.org
Cc: David Prévot <david@tilapin.org>, 701769@bugs.debian.org
Subject: Re: Bug#701906: Bug#701769: new location for wheezy-backports
Date: Sat, 2 Mar 2013 22:49:28 +0900
On Fri, Mar 01, 2013 at 05:57:25PM +0100, Ansgar Burchardt wrote:
> On 03/01/2013 17:36, David Prévot wrote:
> > Le 01/03/2013 12:27, Osamu Aoki a écrit :
> >> On Thu, Feb 28, 2013 at 01:00:19PM -0400, David Prévot wrote:
> >> Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
> >>>>> the wheezy-backports is no longer located in backports.debian.org. It is
> >>>>> now included on ftp.*.debian.org (it's already there[1]).
> >>>>>
> >>>>>   [1] <http://ftp.de.debian.org/debian/dists/>
> > 
> >>> Is this temporary workaround?  Or permanent change.
> > 
> > Sounds like permanent to me, asking Ansgar for confirmation.
> 
> That's permanent. The backports.d.o archive will disappear once
> squeeze-backports gets archived.
> 
> Note that *-backports will still be managed by the backports team. Just
> the location changes starting with wheezy-backports.

What about plan for the backports web page?
     http://backports-master.debian.org/
or   http://backports.debian.org/

Where should we need to point people?

Osamu
 
> Ansgar



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Sat, 30 Mar 2013 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sat, 30 Mar 2013 18:12:05 GMT) Full text and rfc822 format available.

Message #32 received at 701769@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>, 701769@bugs.debian.org, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Sat, 30 Mar 2013 14:08:18 -0400
[Message part 1 (text/plain, inline)]
Control: tags -1 patch

Hi,

Le 26/02/2013 17:07, Ansgar Burchardt a écrit :

> the wheezy-backports is no longer located in backports.debian.org. It is
> now included on ftp.*.debian.org (it's already there[1]).
> 
>   [1] <http://ftp.de.debian.org/debian/dists/>
> 
> I think it would be good to mention this in the release notes.

Here is a proposed patch, recycling the stable-updates section. Thanks
in advance for your reviews, rewrites, remarks or simple
acknowledgments. BTW, is it planned to make a stable-backports ->
wheezy-backports symlink (if so, I’d use stable-backports instead of
wheezy-backports in the section title)?

Regards

David

[backports-701769.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from David Prévot <taffit@debian.org> to 701769-submit@bugs.debian.org. (Sat, 30 Mar 2013 18:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Mon, 01 Apr 2013 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Mon, 01 Apr 2013 16:30:04 GMT) Full text and rfc822 format available.

Message #39 received at 701769@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 701769@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@debian.org>, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Mon, 01 Apr 2013 12:27:21 -0400
[Message part 1 (text/plain, inline)]
Hi,

Le 30/03/2013 14:08, David Prévot a écrit :
> Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
> 
>> the wheezy-backports is no longer located in backports.debian.org. It is
>> now included on ftp.*.debian.org

> Here is a proposed patch, recycling the stable-updates section. Thanks
> in advance for your reviews, rewrites, remarks or simple
> acknowledgments. BTW, is it planned to make a stable-backports ->
> wheezy-backports symlink (if so, I’d use stable-backports instead of
> wheezy-backports in the section title)?

That last point has been confirmed on IRC by Jörg Jaspert, updated patch
attached.

Regards

David

[backports-701769.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 05 Apr 2013 12:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 05 Apr 2013 12:09:07 GMT) Full text and rfc822 format available.

Message #44 received at 701769@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: David Prévot <taffit@debian.org>, 701769@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@debian.org>, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Fri, 5 Apr 2013 14:06:57 +0200
[Message part 1 (text/plain, inline)]
On Sat, Mar 30, 2013 at 14:08:18 -0400, David Prévot wrote:

> Control: tags -1 patch
> 
> Hi,
> 
> Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
> 
> > the wheezy-backports is no longer located in backports.debian.org. It is
> > now included on ftp.*.debian.org (it's already there[1]).
> > 
> >   [1] <http://ftp.de.debian.org/debian/dists/>
> > 
> > I think it would be good to mention this in the release notes.
> 
> Here is a proposed patch, recycling the stable-updates section. Thanks
> in advance for your reviews, rewrites, remarks or simple
> acknowledgments. BTW, is it planned to make a stable-backports ->
> wheezy-backports symlink (if so, I’d use stable-backports instead of
> wheezy-backports in the section title)?
> 
Please leave the stable-updates section alone, and make a new one for
backports.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Wed, 24 Apr 2013 20:27:05 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Wed, 24 Apr 2013 20:27:05 GMT) Full text and rfc822 format available.

Message #49 received at 701769-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 701769-done@bugs.debian.org
Cc: David Prévot <taffit@debian.org>, Ansgar Burchardt <ansgar@debian.org>, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Wed, 24 Apr 2013 21:25:33 +0100
On Fri, 2013-04-05 at 14:06 +0200, Julien Cristau wrote:
> On Sat, Mar 30, 2013 at 14:08:18 -0400, David Prévot wrote:
> > Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
> > 
> > > the wheezy-backports is no longer located in backports.debian.org. It is
> > > now included on ftp.*.debian.org (it's already there[1]).
[...]
> > Here is a proposed patch, recycling the stable-updates section.
[...]
> Please leave the stable-updates section alone, and make a new one for
> backports.

Added as r9771.

Regards,

Adam




Message #50 received at 701769-done@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Julien Cristau <jcristau@debian.org>, 701769-done@bugs.debian.org, David Prévot <taffit@debian.org>, Ansgar Burchardt <ansgar@debian.org>, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Fri, 3 May 2013 11:17:35 +0300
[Message part 1 (text/plain, inline)]
On Mi, 24 apr 13, 21:25:33, Adam D. Barratt wrote:
> On Fri, 2013-04-05 at 14:06 +0200, Julien Cristau wrote:
> > On Sat, Mar 30, 2013 at 14:08:18 -0400, David Prévot wrote:
> > > Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
> > > 
> > > > the wheezy-backports is no longer located in backports.debian.org. It is
> > > > now included on ftp.*.debian.org (it's already there[1]).
> [...]
> > > Here is a proposed patch, recycling the stable-updates section.
> [...]
> > Please leave the stable-updates section alone, and make a new one for
> > backports.
> 
> Added as r9771.

The current text implies backports are installed automatically (which 
they were not last time I used them). Attached a patch to fix this.

Kind regards,
Andrei
-- 
http://wiki.debian.org/FAQsFromDebianUser
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[0001-backports-are-not-installed-automatically.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 03 May 2013 10:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 03 May 2013 12:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei POPESCU <andreimpopescu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 03 May 2013 12:00:11 GMT) Full text and rfc822 format available.

Message #58 received at 701769@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: 701769@bugs.debian.org
Subject: Bug#701769: new location for wheezy-backports
Date: Fri, 3 May 2013 14:56:54 +0300
[Message part 1 (text/plain, inline)]
On Mi, 24 apr 13, 21:25:33, Adam D. Barratt wrote:
> On Fri, 2013-04-05 at 14:06 +0200, Julien Cristau wrote:
> > On Sat, Mar 30, 2013 at 14:08:18 -0400, David Prévot wrote:
> > > Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
> > > 
> > > > the wheezy-backports is no longer located in backports.debian.org. It is
> > > > now included on ftp.*.debian.org (it's already there[1]).
> [...]
> > > Here is a proposed patch, recycling the stable-updates section.
> [...]
> > Please leave the stable-updates section alone, and make a new one for
> > backports.
> 
> Added as r9771.

The current text implies backports are installed automatically (which 
they were not last time I used them). Attached a patch to fix this.

Kind regards,
Andrei
-- 
http://wiki.debian.org/FAQsFromDebianUser
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[0001-backports-are-not-installed-automatically.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 03 May 2013 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 03 May 2013 12:18:04 GMT) Full text and rfc822 format available.

Message #63 received at 701769@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Andrei POPESCU <andreimpopescu@gmail.com>, 701769@bugs.debian.org, debian-l10n-english@lists.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Julien Cristau <jcristau@debian.org>, 701769-done@bugs.debian.org, David Prévot <taffit@debian.org>, Ansgar Burchardt <ansgar@debian.org>, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Fri, 3 May 2013 13:51:03 +0200
[Message part 1 (text/plain, inline)]
Quoting Andrei POPESCU (andreimpopescu@gmail.com):
> On Mi, 24 apr 13, 21:25:33, Adam D. Barratt wrote:
> > On Fri, 2013-04-05 at 14:06 +0200, Julien Cristau wrote:
> > > On Sat, Mar 30, 2013 at 14:08:18 -0400, David Prévot wrote:
> > > > Le 26/02/2013 17:07, Ansgar Burchardt a écrit :
> > > > 
> > > > > the wheezy-backports is no longer located in backports.debian.org. It is
> > > > > now included on ftp.*.debian.org (it's already there[1]).
> > [...]
> > > > Here is a proposed patch, recycling the stable-updates section.
> > [...]
> > > Please leave the stable-updates section alone, and make a new one for
> > > backports.
> > 
> > Added as r9771.
> 
> The current text implies backports are installed automatically (which 
> they were not last time I used them). Attached a patch to fix this.

I suspect the patch might benefit from a quick review.


> 
> Kind regards,
> Andrei
> -- 
> http://wiki.debian.org/FAQsFromDebianUser
> Offtopic discussions among Debian users and developers:
> http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic

> From 071e22c35a80caf39e655bdce8b01083c951af32 Mon Sep 17 00:00:00 2001
> From: Andrei Popescu <andreimpopescu@gmail.com>
> Date: Fri, 3 May 2013 11:12:59 +0300
> Subject: [PATCH] backports are not installed automatically
> 
> ---
>  trunk/release-notes/en/whats-new.dbk |    4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/trunk/release-notes/en/whats-new.dbk b/trunk/release-notes/en/whats-new.dbk
> index ea4988f..e97c2ae 100644
> --- a/trunk/release-notes/en/whats-new.dbk
> +++ b/trunk/release-notes/en/whats-new.dbk
> @@ -497,8 +497,8 @@ deb-src &url-debian-mirror-eg;/debian &releasename;-backports main contrib</prog
>    <para>
>      The next time you run <command>apt-get update</command>, the
>      system will become aware of the packages in the
> -    <literal>&releasename;-backports</literal> section and will consider them
> -   when looking for packages to upgrade.
> +    <literal>&releasename;-backports</literal> section. Note however that by default newer
> +    versions of packages will not be installed, only new updates to backported versions.
>    </para>
>    <para>
>     When a new package is made available via <literal>&releasename;-backports</literal>
> -- 
> 1.7.10.4
> 




-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 03 May 2013 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 03 May 2013 13:33:04 GMT) Full text and rfc822 format available.

Message #69 received at 701769@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: Andrei POPESCU <andreimpopescu@gmail.com>, 701769@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Julien Cristau <jcristau@debian.org>, 701769-done@bugs.debian.org, David Prévot <taffit@debian.org>, Ansgar Burchardt <ansgar@debian.org>, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Fri, 3 May 2013 14:22:46 +0100
Christian PERRIER wrote:
> I suspect the patch might benefit from a quick review.

>>    <para>
>>      The next time you run <command>apt-get update</command>, the
>>      system will become aware of the packages in the
>> -    <literal>&releasename;-backports</literal> section and will consider them
>> -   when looking for packages to upgrade.
>> +    <literal>&releasename;-backports</literal> section. Note however that by default newer
>> +    versions of packages will not be installed, only new updates to backported versions.
>>    </para>

Er, yeah, that's confusing - especially if you read "updates to
backported versions" as meaning "updates switching to backported
versions".  Maybe:

        The next time you run <command>apt-get update</command>, the
        system will become aware of the packages in the
        <literal>&releasename;-backports</literal> section. Note however that
        by default newer versions from this section will only be installed to
        update packages that are already using backports.

But this is really hard to summarise clearly and concisely, and it
isn't news, so I'm not sure we need to spell it all out here.
Couldn't we avoid the misleading implication some easier way?

        The next time you run <command>apt-get update</command>, the
        system will become aware of the packages in the
        <literal>&releasename;-backports</literal> section and they will
        be available for installation in the same way as the old
        debian-backports archive.

-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#701769; Package release-notes. (Fri, 03 May 2013 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 03 May 2013 14:15:04 GMT) Full text and rfc822 format available.

Message #75 received at 701769@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: debian-l10n-english@lists.debian.org, Andrei POPESCU <andreimpopescu@gmail.com>, 701769@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, David Prévot <taffit@debian.org>, Ansgar Burchardt <ansgar@debian.org>, debian-backports@lists.debian.org
Subject: Re: Bug#701769: new location for wheezy-backports
Date: Fri, 3 May 2013 16:13:24 +0200
[Message part 1 (text/plain, inline)]
On Fri, May  3, 2013 at 14:22:46 +0100, Justin B Rye wrote:

> Couldn't we avoid the misleading implication some easier way?
> 
>         The next time you run <command>apt-get update</command>, the
>         system will become aware of the packages in the
>         <literal>&releasename;-backports</literal> section and they will
>         be available for installation in the same way as the old
>         debian-backports archive.
> 
I've used that (with s/debian-backports/backports.debian.org/), thanks.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Jun 2013 07:28:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:11:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.